Subject: I-D Action: draft-schinazi-httpbis-doh-preference-hints-02.txt

From: [email-masked]
Date: Mon, 13 Jul 2020 12:36:14 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : DoH Preference Hints for HTTP
        Authors         : David Schinazi
                          Nick Sullivan
                          Jesse Kipp
	Filename        : draft-schinazi-httpbis-doh-preference-hints-02.txt
	Pages           : 8
	Date            : 2020-07-13

Abstract:
   When using a publicly available DNS-over-HTTPS (DoH) server, some
   clients may suffer poor performance when the authoritative DNS server
   is located far from the DoH server.  For example, a publicly
   available DoH server provided by a Content Delivery Network (CDN)
   should be able to resolve names hosted by that CDN with good
   performance but might take longer to resolve names provided by other
   CDNs, or might provide suboptimal results if that CDN is using DNS-
   based load balancing and returns different address records depending
   or where the DNS query originated from.  This document attempts to
   lessen these issues by allowing the web server to indicate to the
   client which DoH server can best resolve its addresses.  This
   document defines an HTTP header field that enables web host operators
   to inform user agents of the preferred DoH servers to use for
   subsequent DNS lookups for the host's domain.

   Discussion of this work is encouraged to happen on the ADD IETF
   mailing list [email-masked] or on the GitHub repository which contains
   the draft: https://github.com/DavidSchinazi/draft-httpbis-doh-
   preference-hints.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-schinazi-httpbis-doh-preference-hints/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-schinazi-httpbis-doh-preference-hints-02
https://datatracker.ietf.org/doc/html/draft-schinazi-httpbis-doh-preference-hints-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-schinazi-httpbis-doh-preference-hints-02

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/